# std::forward_list<T,Allocator>::pop_front

From cppreference.com
< cpp‎ | container‎ | forward list

void pop_front(); |  | (since C++11)

Removes the first element of the container. If there are no elements in the container, the behavior is undefined.

References and iterators to the erased element are invalidated.

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

### Exceptions

Does not throw.

### See also

push_front | inserts an element to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/forward_list/pop_front&oldid=50505"